Energia

Serial

## read()

### Description

Reads incoming serial data. read() inherits from the Stream utility class.

### Syntax

Serial.read()

### Parameters

None

### Returns

the first byte of incoming serial data available (or -1 if no data is available) - int

### Example

    int incomingByte = 0;	// for incoming serial data

    void setup() {
    	Serial.begin(9600);	// opens serial port, sets data rate to 9600 bps
    }

    void loop() {

    	// send data only when you receive data:
    	if (Serial.available() > 0) {
    		// read the incoming byte:
    		incomingByte = Serial.read();

    		// say what you got:
    		Serial.print("I received: ");
    		Serial.println(incomingByte, DEC);
    	}
    }

#### See also

- Serial.available()
- Serial.flush()
- Serial.peek()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes